Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 527919 - Newly opened document is hidded beneath existing window
Summary: Newly opened document is hidded beneath existing window
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-08 08:40 UTC by Jan Martinek
Modified: 2013-04-02 04:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-04 09:02:07 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 571051 0 None None None Never

Description Jan Martinek 2009-10-08 08:40:59 UTC
Description of problem:
If another document is opened, it gets focus, but it is not "on top".

Version-Release number of selected component (if applicable):
evince-2.26.2-1.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run evince and open any document (#1).
2. Open another document (#2)
3. You still see document (#1) on top.
  
Actual results:
The document (#2) is hidded beneath document (#1).

Expected results:
Newly opened document should be on top.

Additional info:
Workaround: Alt+Tab (couple of times) or switch to another workspace and back.

Comment 2 Bug Zapper 2010-04-28 10:44:47 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fabian Deutsch 2010-06-04 09:02:07 UTC
Seems to be fixed upstream.

http://git.gnome.org/browse/evince/commit/?id=55987f7d1bde72651c83b48cae7c8207a7ef08ab


Note You need to log in before you can comment on or make changes to this bug.